:root {
    --bg-color: #272727;
    --text-color: #ffffff;
    --accent-color: #2C8FFF;
    --card-bg: #1F1F1F;
    --border-color: #2C8FFF;
    --hover-bg: #1e6fd92c;
    --button-bg: #3796C5;
    --placeholder-color: #becada;
}

.nav-buttons {
    display: flex;
    gap: 15px;
    margin-right: auto;
    margin-left: 20px;
    align-items: center; 
}

.nav-button, .theme-toggle {
    cursor: pointer;
    padding: 8px 15px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    transition: all 0.3s ease;
}

.nav-button  {
    cursor: pointer;
    padding: 8px 15px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    transition: all 0.3s ease;
}

.hover-effect:hover {
    background-color: var(--hover-bg);
    color: var(--accent-color);
}

.nav-button.active {
    background-color: var(--hover-bg);
}



.theme-toggle {
    margin-right: 15px;
    font-size: 20px;
    padding: 5px 10px;
}

.icon {
    padding: 10px; 
    display: flex; 
    justify-content: center;
    align-items: center;
    margin: 10px;
    width: 24px;
    height: 24px;
}

.icon:hover {
    transform: scale(1.1);
}
